MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager:

## Public Member Functions
float | ReadDeviceTemperature ()
| Returns device temperature.
float | ReadProxyTemperature ()
| Returns board temperature.
void | WriteProxyTemperatureThreshold (float temperatureThreshold)
| Sets board temperature threshold.
float | ReadProxyTemperatureThreshold ()
| Returns board temperature threshold.
void | WriteDeviceTemperatureThreshold (float temperatureThreshold)
| Sets device temperature threshold.
float | ReadDeviceTemperatureThreshold ()
| Returns board temperature threshold.
float | ReadBoardOutputStageTemperature ()
| Returns board output stage temperature.
void | WriteBoardOutputStageTemperatureThreshold (float temperatureThreshold)
| Sets board output stage temperature threshold.
float | ReadBoardOutputStageTemperatureThreshold ()
| Returns board output stage temperature threshold.

## Member Function Documentation

## ◆ ReadBoardOutputStageTemperature()

float MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.ReadBoardOutputStageTemperature | ( |  | ) |

Returns board output stage temperature.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadBoardOutputStageTemperatureThreshold()

float MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.ReadBoardOutputStageTemperatureThreshold | ( |  | ) |

Returns board output stage temperature threshold.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadDeviceTemperature()

float MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.ReadDeviceTemperature | ( |  | ) |

Returns device temperature.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadDeviceTemperatureThreshold()

float MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.ReadDeviceTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadProxyTemperature()

float MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.ReadProxyTemperature | ( |  | ) |

Returns board temperature.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadProxyTemperatureThreshold()

float MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.ReadProxyTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteBoardOutputStageTemperatureThreshold()

void MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.WriteBoardOutputStageTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board output stage temperature threshold.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteDeviceTemperatureThreshold()

void MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.WriteDeviceTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets device temperature threshold.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteProxyTemperatureThreshold()

void MrEModuleSdk.Devices.SdkInterfaces.IMre3TemperatureManager.WriteProxyTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board temperature threshold.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/IMre3TemperatureManager.cs